#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "mini_xdefs.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void refreshList();

private slots:
    void on_actionRefresh_triggered();

    void on_actionAbout_X11Glove_triggered();

    void on_actionAbout_Qt_triggered();

    void on_actionExit_triggered();

    void on_windowTree_itemSelectionChanged();

    void on_actionClear_selection_triggered();

    void on_lineEdit_textChanged(const QString &arg1);

private:
    void renderDetailsForSelectedWindow();
    void renderDetailsFor(Window w);

    QString formatGravity(int gravity);

    Ui::MainWindow *ui;
    int totalWindows;
};

#endif // MAINWINDOW_H
